package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 作业证书一览对象 t_workcertificate_cbps
 *
 * @author ruoyi
 * @date 2023-07-14
 */
public class TWorkcertificateCbps extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 员工号 */
    private String employeeid;

    /** 班组 */
    @Excel(name = "班组")
    private String classes;

    /** 压力容器 */
    @Excel(name = "压力容器")
    private String container;

    /** 压力容器取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "压力容器取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date containerDate;

    /** 压力容器证有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "压力容器证有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date containerLifespan;

    /** 压力管道 */
    @Excel(name = "压力管道")
    private String pipe;

    /** 压力管道取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "压力管道取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pipeDate;

    /** 压力管道证有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "压力管道证有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pipeLifespan;

    /** 技术工人上岗证 */
    @Excel(name = "技术工人上岗证")
    private String worker;

    /** 技术工人上岗证取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "技术工人上岗证取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workerDate;

    /** 技术工人上岗证有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "技术工人上岗证有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workerLifespan;

    /** 班组长安全培训 */
    @Excel(name = "班组长安全培训")
    private String foreman;

    /** 班组长安全培训取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "班组长安全培训取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date foremanDate;

    /** 班组长安全培训有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "班组长安全培训有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date foremanLifespan;

    /** 制冷与空调 */
    @Excel(name = "制冷与空调")
    private String ac;

    /** 制冷与空调取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "制冷与空调取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date acDate;

    /** 制冷与空调有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "制冷与空调有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date acLifespan;

    /** 建筑物消防员职业资格证 */
    @Excel(name = "建筑物消防员职业资格证")
    private String firefighter;

    /** 建筑物消防员取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "建筑物消防员取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date firefighterDate;

    /** 建筑物消防员有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "建筑物消防员有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date firefighterLifespan;

    /** 专职安全管理人员 */
    @Excel(name = "专职安全管理人员")
    private String safety;

    /** 安全员取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "安全员取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date safetyDate;

    /** 安全员有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "安全员有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date safetyLifespan;

    /** TDS */
    @Excel(name = "TDS")
    private String tds;

    /** TDS取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "TDS取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tdsDate;

    /** TDS有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "TDS有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tdsLifespan;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setEmployeeid(String employeeid)
    {
        this.employeeid = employeeid;
    }

    public String getEmployeeid()
    {
        return employeeid;
    }
    public void setClasses(String classes)
    {
        this.classes = classes;
    }

    public String getClasses()
    {
        return classes;
    }
    public void setContainer(String container)
    {
        this.container = container;
    }

    public String getContainer()
    {
        return container;
    }
    public void setContainerDate(Date containerDate)
    {
        this.containerDate = containerDate;
    }

    public Date getContainerDate()
    {
        return containerDate;
    }
    public void setContainerLifespan(Date containerLifespan)
    {
        this.containerLifespan = containerLifespan;
    }

    public Date getContainerLifespan()
    {
        return containerLifespan;
    }
    public void setPipe(String pipe)
    {
        this.pipe = pipe;
    }

    public String getPipe()
    {
        return pipe;
    }
    public void setPipeDate(Date pipeDate)
    {
        this.pipeDate = pipeDate;
    }

    public Date getPipeDate()
    {
        return pipeDate;
    }
    public void setPipeLifespan(Date pipeLifespan)
    {
        this.pipeLifespan = pipeLifespan;
    }

    public Date getPipeLifespan()
    {
        return pipeLifespan;
    }
    public void setWorker(String worker)
    {
        this.worker = worker;
    }

    public String getWorker()
    {
        return worker;
    }
    public void setWorkerDate(Date workerDate)
    {
        this.workerDate = workerDate;
    }

    public Date getWorkerDate()
    {
        return workerDate;
    }
    public void setWorkerLifespan(Date workerLifespan)
    {
        this.workerLifespan = workerLifespan;
    }

    public Date getWorkerLifespan()
    {
        return workerLifespan;
    }
    public void setForeman(String foreman)
    {
        this.foreman = foreman;
    }

    public String getForeman()
    {
        return foreman;
    }
    public void setForemanDate(Date foremanDate)
    {
        this.foremanDate = foremanDate;
    }

    public Date getForemanDate()
    {
        return foremanDate;
    }
    public void setForemanLifespan(Date foremanLifespan)
    {
        this.foremanLifespan = foremanLifespan;
    }

    public Date getForemanLifespan()
    {
        return foremanLifespan;
    }
    public void setAc(String ac)
    {
        this.ac = ac;
    }

    public String getAc()
    {
        return ac;
    }
    public void setAcDate(Date acDate)
    {
        this.acDate = acDate;
    }

    public Date getAcDate()
    {
        return acDate;
    }
    public void setAcLifespan(Date acLifespan)
    {
        this.acLifespan = acLifespan;
    }

    public Date getAcLifespan()
    {
        return acLifespan;
    }
    public void setFirefighter(String firefighter)
    {
        this.firefighter = firefighter;
    }

    public String getFirefighter()
    {
        return firefighter;
    }
    public void setFirefighterDate(Date firefighterDate)
    {
        this.firefighterDate = firefighterDate;
    }

    public Date getFirefighterDate()
    {
        return firefighterDate;
    }
    public void setFirefighterLifespan(Date firefighterLifespan)
    {
        this.firefighterLifespan = firefighterLifespan;
    }

    public Date getFirefighterLifespan()
    {
        return firefighterLifespan;
    }
    public void setSafety(String safety)
    {
        this.safety = safety;
    }

    public String getSafety()
    {
        return safety;
    }
    public void setSafetyDate(Date safetyDate)
    {
        this.safetyDate = safetyDate;
    }

    public Date getSafetyDate()
    {
        return safetyDate;
    }
    public void setSafetyLifespan(Date safetyLifespan)
    {
        this.safetyLifespan = safetyLifespan;
    }

    public Date getSafetyLifespan()
    {
        return safetyLifespan;
    }
    public void setTds(String tds)
    {
        this.tds = tds;
    }

    public String getTds()
    {
        return tds;
    }
    public void setTdsDate(Date tdsDate)
    {
        this.tdsDate = tdsDate;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getTdsDate()
    {
        return tdsDate;
    }
    public void setTdsLifespan(Date tdsLifespan)
    {
        this.tdsLifespan = tdsLifespan;
    }

    public Date getTdsLifespan()
    {
        return tdsLifespan;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("name", getName())
            .append("employeeid", getEmployeeid())
            .append("classes", getClasses())
            .append("container", getContainer())
            .append("containerDate", getContainerDate())
            .append("containerLifespan", getContainerLifespan())
            .append("pipe", getPipe())
            .append("pipeDate", getPipeDate())
            .append("pipeLifespan", getPipeLifespan())
            .append("worker", getWorker())
            .append("workerDate", getWorkerDate())
            .append("workerLifespan", getWorkerLifespan())
            .append("foreman", getForeman())
            .append("foremanDate", getForemanDate())
            .append("foremanLifespan", getForemanLifespan())
            .append("ac", getAc())
            .append("acDate", getAcDate())
            .append("acLifespan", getAcLifespan())
            .append("firefighter", getFirefighter())
            .append("firefighterDate", getFirefighterDate())
            .append("firefighterLifespan", getFirefighterLifespan())
            .append("safety", getSafety())
            .append("safetyDate", getSafetyDate())
            .append("safetyLifespan", getSafetyLifespan())
            .append("tds", getTds())
            .append("tdsDate", getTdsDate())
            .append("tdsLifespan", getTdsLifespan())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
